name: Build (Sony Playstation Portable)

on: [push, pull_request]

jobs:
  psp:
    runs-on: ubuntu-latest
    container: pspdev/pspdev:latest
    steps:
    - uses: actions/checkout@v2
    - name: Setup dependencies
      run: |
        apk update 
        apk add cmake gmp mpc1 mpfr4 make
    - name: Configure CMake
      run: cmake -S. -Bbuild -DCMAKE_BUILD_TYPE=Release -DCMAKE_TOOLCHAIN_FILE=$PSPDEV/psp/share/pspdev.cmake -DSDL_TEST=ON
    - name: Build
      run: cmake --build build
